RubyGems Navigation menu

pact 1.60.0

Enables consumer driven contract testing, providing a mock service and DSL for the consumer project, and interaction playback and verification for the service provider project.

Versions:

  1. 1.60.0 - October 01, 2021 (59.5 KB)
  2. 1.59.0 - September 07, 2021 (59 KB)
  3. 1.58.0 - September 07, 2021 (59 KB)
  4. 1.57.0 - January 31, 2021 (58.5 KB)
  5. 1.56.0 - January 21, 2021 (58.5 KB)
Show all versions (151 total)

Runtime Dependencies (7):

  • pact-mock_service ~> 3.0, >= 3.3.1
  • pact-support ~> 1.16, >= 1.16.9
  • rack-test >= 0.6.3, < 2.0.0
  • rspec ~> 3.0
  • term-ansicolor ~> 1.0
  • thor >= 0.20, < 2.0
  • webrick ~> 1.3
  • Development Dependencies (10):

    Owners:

    Pushed by:

    Authors:

    • James Fraser, Sergei Matheson, Brent Snook, Ronald Holshausen, Beth Skurrie

    SHA 256 checksum:

    a6d3f96aae4c7da75f5afbb4430531ebc0a4e8c8be70e75fa7cb072ee48f0a3e

    Total downloads 5,089,271

    For this version 111,604

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0

    Links: